#if !defined(AFX_PREVIEW_H__8EDD89E4_2FF3_4A8D_BE80_187E45E5738A__INCLUDED_)
#define AFX_PREVIEW_H__8EDD89E4_2FF3_4A8D_BE80_187E45E5738A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Preview.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPreview dialog

class CPreview : public CDialog
{
// Construction
public:
	
	void DrawReport(CRect rect, CDC *pDC, BOOL isprinted);
	CPreview(CWnd* pParent = NULL);   // standard constructor

	void hanshu();
	CString darrays[3],harrays[4];
	CString kpr;
	CString kpdw;
	CString zph;
	CString khmc;
	CString sarrays[4][6],arrays[6][8];
	int screenx,screeny;
// Dialog Data
	//{{AFX_DATA(CPreview)
	enum { IDD = IDD_DIAPREVIEW };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPreview)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPreview)
	afx_msg void OnPaint();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREVIEW_H__8EDD89E4_2FF3_4A8D_BE80_187E45E5738A__INCLUDED_)
